import 'package:flutter/material.dart';
import 'package:millui_example/pages/icon.dart';
import 'package:millui_example/pages/toastlist.dart';
import 'package:millui_example/pages/checklist.dart';
import 'package:millui_example/pages/treelist.dart';
import 'package:millui_example/pages/cascader.dart';
import 'package:millui_example/pages/picker.dart';
import 'package:millui_example/pages/buttonlist.dart';
import 'package:millui_example/pages/dialogList.dart';
import 'package:millui_example/pages/fieldList.dart';
import 'package:millui_example/pages/icon.dart';
import 'package:millui_example/pages/notice_bar.dart';
import 'package:millui_example/pages/refash.dart';
import 'package:millui_example/pages/swipe_cell.dart';

class HomePage extends StatelessWidget {
  _pushRoute(data, context) {
    Navigator.push(
        context,
        new MaterialPageRoute<Null>(
            builder: (BuildContext context) {
              Widget cla = data['route'];
              return cla;
            },
            fullscreenDialog: true));
  }

  @override
  Widget build(BuildContext context) {
    return Container(
        child: ListView(
            children: lists
                .map((item) => GestureDetector(
                      onTap: () {
                        _pushRoute(item, context);
                      },
                      child: Container(
                        padding: EdgeInsets.all(20),
                        decoration: BoxDecoration(
                            color: Color(0xffffffff),
                            border: Border(
                                bottom: BorderSide(
                              width: 1,
                              color: Color(0xffe9e9e9),
                            ))),
                        child: Row(
                          mainAxisAlignment: MainAxisAlignment.start,
                          children: <Widget>[
                            Text(
                              item['name'],
                              style: TextStyle(fontSize: 16),
                            ),
                            Padding(padding: EdgeInsets.only(left: 8)),
                            Text(
                              item['cn'],
                              style: TextStyle(fontSize: 16),
                            ),
                          ],
                        ),
                      ),
                    ))
                .toList()));
  }
}

class Class {}

List lists = [
  {
    "name": "Icons",
    "cn": "图标",
    "route": Iconlist(),
  },
  {
    "name": "Button",
    "cn": "按钮",
    "route": Buttonlist(),
  },
  {
    "name": "Toast",
    "cn": "轻提示",
    "route": Toastlist(),
  },
  {
    "name": "Dialog",
    "cn": "弹出框",
    "route": DialogList(),
  },
  {
    "name": "NoticeBar",
    "cn": "通告栏",
    "route": NoticeBar(),
  },
  {
    "name": "Checkbox",
    "cn": "复选框",
    "route": Checklist(),
  },
  {
    "name": "Tree",
    "cn": "选择树",
    "route": Treelist(),
  },
  {
    "name": "Cascader",
    "cn": "级联选择",
    "route": Cascader(),
  },
  {
    "name": "Field",
    "cn": "输入框",
    "route": Fieldlist(),
  },
  {
    "name": "SwipeCell",
    "cn": "滑动单元格",
    "route": SwipeCell(),
  },
  {
    "name": "refash",
    "cn": "下拉刷新",
    "route": Refash(),
  },
  {
    "name": "Picker",
    "cn": "选择器",
    "route": Picker(),
  },
];
