import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

class Cascader extends StatefulWidget {
  _Cascader createState() => new _Cascader();
}

class _Cascader extends State<Cascader> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: Text('cascader'),
        ),
        body: Container(
          child: MillCascaderCheckbox(
            tree: tree,
            defaultValue: ['浙江', '山东'],
            alasLabel: 'name',
            alasValue: 'name',
            width: 326,
          ),
        ));
  }
}

List tree = [
  {
    "id": "1000001",
    "name": "华北",
    "parentId": "100001",
    "level": "11",
    "abbr": "hb",
    "children": [
      {
        "id": "16842752",
        "name": "北京",
        "parentId": "1000001",
        "level": "12",
        "abbr": "bj",
        "children": []
      },
      {
        "id": "16908288",
        "name": "天津",
        "parentId": "1000001",
        "level": "12",
        "abbr": "tj",
        "children": []
      },
      {
        "id": "16973824",
        "name": "河北",
        "parentId": "1000001",
        "level": "12",
        "abbr": "hb",
        "children": [
          {
            "id": "16974080",
            "name": "石家庄",
            "parentId": "16973824",
            "level": "13",
            "abbr": "sjz",
            "children": []
          },
          {
            "id": "16974336",
            "name": "唐山",
            "parentId": "16973824",
            "level": "13",
            "abbr": "ts",
            "children": []
          },
          {
            "id": "16974592",
            "name": "秦皇岛",
            "parentId": "16973824",
            "level": "13",
            "abbr": "qhd",
            "children": []
          },
          {
            "id": "16974848",
            "name": "邯郸",
            "parentId": "16973824",
            "level": "13",
            "abbr": "hd",
            "children": []
          },
          {
            "id": "16975104",
            "name": "邢台",
            "parentId": "16973824",
            "level": "13",
            "abbr": "xt",
            "children": []
          },
          {
            "id": "16975360",
            "name": "保定",
            "parentId": "16973824",
            "level": "13",
            "abbr": "bd",
            "children": []
          },
          {
            "id": "16975616",
            "name": "张家口",
            "parentId": "16973824",
            "level": "13",
            "abbr": "zjk",
            "children": []
          },
          {
            "id": "16975872",
            "name": "承德",
            "parentId": "16973824",
            "level": "13",
            "abbr": "cd",
            "children": []
          },
          {
            "id": "16976128",
            "name": "廊坊",
            "parentId": "16973824",
            "level": "13",
            "abbr": "lf",
            "children": []
          },
          {
            "id": "16976384",
            "name": "衡水",
            "parentId": "16973824",
            "level": "13",
            "abbr": "hs",
            "children": []
          },
          {
            "id": "16976640",
            "name": "沧州",
            "parentId": "16973824",
            "level": "13",
            "abbr": "cz",
            "children": []
          }
        ]
      },
      {
        "id": "17039360",
        "name": "山西",
        "parentId": "1000001",
        "level": "12",
        "abbr": "sx",
        "children": [
          {
            "id": "17039616",
            "name": "太原",
            "parentId": "17039360",
            "level": "13",
            "abbr": "ty",
            "children": []
          },
          {
            "id": "17039872",
            "name": "大同",
            "parentId": "17039360",
            "level": "13",
            "abbr": "dt",
            "children": []
          },
          {
            "id": "17040128",
            "name": "阳泉",
            "parentId": "17039360",
            "level": "13",
            "abbr": "yq",
            "children": []
          },
          {
            "id": "17040384",
            "name": "长治",
            "parentId": "17039360",
            "level": "13",
            "abbr": "cz",
            "children": []
          },
          {
            "id": "17040640",
            "name": "晋城",
            "parentId": "17039360",
            "level": "13",
            "abbr": "jc",
            "children": []
          },
          {
            "id": "17040896",
            "name": "朔州",
            "parentId": "17039360",
            "level": "13",
            "abbr": "sz",
            "children": []
          },
          {
            "id": "17041152",
            "name": "晋中",
            "parentId": "17039360",
            "level": "13",
            "abbr": "jz",
            "children": []
          },
          {
            "id": "17041408",
            "name": "运城",
            "parentId": "17039360",
            "level": "13",
            "abbr": "yc",
            "children": []
          },
          {
            "id": "17041664",
            "name": "忻州",
            "parentId": "17039360",
            "level": "13",
            "abbr": "xz",
            "children": []
          },
          {
            "id": "17041920",
            "name": "临汾",
            "parentId": "17039360",
            "level": "13",
            "abbr": "lf",
            "children": []
          },
          {
            "id": "17042176",
            "name": "吕梁",
            "parentId": "17039360",
            "level": "13",
            "abbr": "ll",
            "children": []
          }
        ]
      },
      {
        "id": "17104896",
        "name": "内蒙古",
        "parentId": "1000001",
        "level": "12",
        "abbr": "nmg",
        "children": [
          {
            "id": "17105152",
            "name": "呼和浩特",
            "parentId": "17104896",
            "level": "13",
            "abbr": "hhht",
            "children": []
          },
          {
            "id": "17105408",
            "name": "包头",
            "parentId": "17104896",
            "level": "13",
            "abbr": "bt",
            "children": []
          },
          {
            "id": "17105664",
            "name": "乌海",
            "parentId": "17104896",
            "level": "13",
            "abbr": "wh",
            "children": []
          },
          {
            "id": "17105920",
            "name": "赤峰",
            "parentId": "17104896",
            "level": "13",
            "abbr": "cf",
            "children": []
          },
          {
            "id": "17106176",
            "name": "通辽",
            "parentId": "17104896",
            "level": "13",
            "abbr": "tl",
            "children": []
          },
          {
            "id": "17106432",
            "name": "鄂尔多斯",
            "parentId": "17104896",
            "level": "13",
            "abbr": "eeds",
            "children": []
          },
          {
            "id": "17106688",
            "name": "呼伦贝尔",
            "parentId": "17104896",
            "level": "13",
            "abbr": "hlbe",
            "children": []
          },
          {
            "id": "17106944",
            "name": "乌兰察布盟",
            "parentId": "17104896",
            "level": "13",
            "abbr": "wlcbm",
            "children": []
          },
          {
            "id": "17107200",
            "name": "锡林郭勒盟",
            "parentId": "17104896",
            "level": "13",
            "abbr": "xlglm",
            "children": []
          },
          {
            "id": "17107456",
            "name": "巴彦淖尔盟",
            "parentId": "17104896",
            "level": "13",
            "abbr": "bynem",
            "children": []
          },
          {
            "id": "17107712",
            "name": "阿拉善盟",
            "parentId": "17104896",
            "level": "13",
            "abbr": "alsm",
            "children": []
          },
          {
            "id": "17107968",
            "name": "兴安盟",
            "parentId": "17104896",
            "level": "13",
            "abbr": "xam",
            "children": []
          }
        ]
      }
    ]
  },
  {
    "id": "1000002",
    "name": "华东",
    "parentId": "100001",
    "level": "11",
    "abbr": "hd",
    "children": [
      {
        "id": "17367040",
        "name": "上海",
        "parentId": "1000002",
        "level": "12",
        "abbr": "sh",
        "children": []
      },
      {
        "id": "17432576",
        "name": "江苏",
        "parentId": "1000002",
        "level": "12",
        "abbr": "js",
        "children": [
          {
            "id": "17432832",
            "name": "南京",
            "parentId": "17432576",
            "level": "13",
            "abbr": "nj",
            "children": []
          },
          {
            "id": "17433088",
            "name": "徐州",
            "parentId": "17432576",
            "level": "13",
            "abbr": "xz",
            "children": []
          },
          {
            "id": "17433344",
            "name": "连云港",
            "parentId": "17432576",
            "level": "13",
            "abbr": "lyg",
            "children": []
          },
          {
            "id": "17433600",
            "name": "淮安",
            "parentId": "17432576",
            "level": "13",
            "abbr": "ha",
            "children": []
          },
          {
            "id": "17433856",
            "name": "宿迁",
            "parentId": "17432576",
            "level": "13",
            "abbr": "sq",
            "children": []
          },
          {
            "id": "17434112",
            "name": "盐城",
            "parentId": "17432576",
            "level": "13",
            "abbr": "yc",
            "children": []
          },
          {
            "id": "17434368",
            "name": "扬州",
            "parentId": "17432576",
            "level": "13",
            "abbr": "yz",
            "children": []
          },
          {
            "id": "17434624",
            "name": "泰州",
            "parentId": "17432576",
            "level": "13",
            "abbr": "tz",
            "children": []
          },
          {
            "id": "17434880",
            "name": "南通",
            "parentId": "17432576",
            "level": "13",
            "abbr": "nt",
            "children": []
          },
          {
            "id": "17435136",
            "name": "镇江",
            "parentId": "17432576",
            "level": "13",
            "abbr": "zj",
            "children": []
          },
          {
            "id": "17435392",
            "name": "常州",
            "parentId": "17432576",
            "level": "13",
            "abbr": "cz",
            "children": []
          },
          {
            "id": "17435648",
            "name": "无锡",
            "parentId": "17432576",
            "level": "13",
            "abbr": "wx",
            "children": []
          },
          {
            "id": "17435904",
            "name": "苏州",
            "parentId": "17432576",
            "level": "13",
            "abbr": "sz",
            "children": []
          }
        ]
      },
      {
        "id": "17498112",
        "name": "浙江",
        "parentId": "1000002",
        "level": "12",
        "abbr": "zj",
        "children": [
          {
            "id": "17498368",
            "name": "杭州",
            "parentId": "17498112",
            "level": "13",
            "abbr": "huz",
            "children": []
          },
          {
            "id": "17498624",
            "name": "宁波",
            "parentId": "17498112",
            "level": "13",
            "abbr": "nb",
            "children": []
          },
          {
            "id": "17498880",
            "name": "温州",
            "parentId": "17498112",
            "level": "13",
            "abbr": "wz",
            "children": []
          },
          {
            "id": "17499136",
            "name": "嘉兴",
            "parentId": "17498112",
            "level": "13",
            "abbr": "jx",
            "children": []
          },
          {
            "id": "17499392",
            "name": "湖州",
            "parentId": "17498112",
            "level": "13",
            "abbr": "hz",
            "children": []
          },
          {
            "id": "17499648",
            "name": "绍兴",
            "parentId": "17498112",
            "level": "13",
            "abbr": "sx",
            "children": []
          },
          {
            "id": "17499904",
            "name": "金华",
            "parentId": "17498112",
            "level": "13",
            "abbr": "jh",
            "children": []
          },
          {
            "id": "17500160",
            "name": "衢州",
            "parentId": "17498112",
            "level": "13",
            "abbr": "qz",
            "children": []
          },
          {
            "id": "17500416",
            "name": "舟山",
            "parentId": "17498112",
            "level": "13",
            "abbr": "zs",
            "children": []
          },
          {
            "id": "17500672",
            "name": "台州",
            "parentId": "17498112",
            "level": "13",
            "abbr": "tz",
            "children": []
          },
          {
            "id": "17500928",
            "name": "丽水",
            "parentId": "17498112",
            "level": "13",
            "abbr": "ls",
            "children": []
          }
        ]
      },
      {
        "id": "17563648",
        "name": "安徽",
        "parentId": "1000002",
        "level": "12",
        "abbr": "ah",
        "children": [
          {
            "id": "17563904",
            "name": "合肥",
            "parentId": "17563648",
            "level": "13",
            "abbr": "hf",
            "children": []
          },
          {
            "id": "17564160",
            "name": "芜湖",
            "parentId": "17563648",
            "level": "13",
            "abbr": "wh",
            "children": []
          },
          {
            "id": "17564416",
            "name": "蚌埠",
            "parentId": "17563648",
            "level": "13",
            "abbr": "bb",
            "children": []
          },
          {
            "id": "17564672",
            "name": "淮南",
            "parentId": "17563648",
            "level": "13",
            "abbr": "hn",
            "children": []
          },
          {
            "id": "17564928",
            "name": "马鞍山",
            "parentId": "17563648",
            "level": "13",
            "abbr": "mas",
            "children": []
          },
          {
            "id": "17565184",
            "name": "淮北",
            "parentId": "17563648",
            "level": "13",
            "abbr": "hb",
            "children": []
          },
          {
            "id": "17565440",
            "name": "铜陵",
            "parentId": "17563648",
            "level": "13",
            "abbr": "tl",
            "children": []
          },
          {
            "id": "17565696",
            "name": "安庆",
            "parentId": "17563648",
            "level": "13",
            "abbr": "aq",
            "children": []
          },
          {
            "id": "17565952",
            "name": "黄山",
            "parentId": "17563648",
            "level": "13",
            "abbr": "hs",
            "children": []
          },
          {
            "id": "17566208",
            "name": "滁州",
            "parentId": "17563648",
            "level": "13",
            "abbr": "chuz",
            "children": []
          },
          {
            "id": "17566464",
            "name": "阜阳",
            "parentId": "17563648",
            "level": "13",
            "abbr": "fy",
            "children": []
          },
          {
            "id": "17566720",
            "name": "宿州",
            "parentId": "17563648",
            "level": "13",
            "abbr": "sz",
            "children": []
          },
          {
            "id": "17567232",
            "name": "六安",
            "parentId": "17563648",
            "level": "13",
            "abbr": "la",
            "children": []
          },
          {
            "id": "17567488",
            "name": "亳州",
            "parentId": "17563648",
            "level": "13",
            "abbr": "bz",
            "children": []
          },
          {
            "id": "17567744",
            "name": "池州",
            "parentId": "17563648",
            "level": "13",
            "abbr": "chiz",
            "children": []
          },
          {
            "id": "17568000",
            "name": "宣城",
            "parentId": "17563648",
            "level": "13",
            "abbr": "xc",
            "children": []
          }
        ]
      },
      {
        "id": "17629184",
        "name": "福建",
        "parentId": "1000002",
        "level": "12",
        "abbr": "fj",
        "children": [
          {
            "id": "17629440",
            "name": "福州",
            "parentId": "17629184",
            "level": "13",
            "abbr": "fz",
            "children": []
          },
          {
            "id": "17629696",
            "name": "厦门",
            "parentId": "17629184",
            "level": "13",
            "abbr": "xm",
            "children": []
          },
          {
            "id": "17629952",
            "name": "三明",
            "parentId": "17629184",
            "level": "13",
            "abbr": "sm",
            "children": []
          },
          {
            "id": "17630208",
            "name": "莆田",
            "parentId": "17629184",
            "level": "13",
            "abbr": "pt",
            "children": []
          },
          {
            "id": "17630464",
            "name": "泉州",
            "parentId": "17629184",
            "level": "13",
            "abbr": "qz",
            "children": []
          },
          {
            "id": "17630720",
            "name": "漳州",
            "parentId": "17629184",
            "level": "13",
            "abbr": "zz",
            "children": []
          },
          {
            "id": "17630976",
            "name": "南平",
            "parentId": "17629184",
            "level": "13",
            "abbr": "np",
            "children": []
          },
          {
            "id": "17631232",
            "name": "龙岩",
            "parentId": "17629184",
            "level": "13",
            "abbr": "ly",
            "children": []
          },
          {
            "id": "17631488",
            "name": "宁德",
            "parentId": "17629184",
            "level": "13",
            "abbr": "nd",
            "children": []
          },
          {
            "id": "17631744",
            "name": "平潭",
            "parentId": "17629184",
            "level": "13",
            "abbr": "ptan",
            "children": []
          }
        ]
      },
      {
        "id": "17694720",
        "name": "江西",
        "parentId": "1000002",
        "level": "12",
        "abbr": "jx",
        "children": [
          {
            "id": "17694976",
            "name": "南昌",
            "parentId": "17694720",
            "level": "13",
            "abbr": "nc",
            "children": []
          },
          {
            "id": "17695232",
            "name": "景德镇",
            "parentId": "17694720",
            "level": "13",
            "abbr": "jdz",
            "children": []
          },
          {
            "id": "17695488",
            "name": "萍乡",
            "parentId": "17694720",
            "level": "13",
            "abbr": "px",
            "children": []
          },
          {
            "id": "17695744",
            "name": "九江",
            "parentId": "17694720",
            "level": "13",
            "abbr": "jj",
            "children": []
          },
          {
            "id": "17696000",
            "name": "新余",
            "parentId": "17694720",
            "level": "13",
            "abbr": "xy",
            "children": []
          },
          {
            "id": "17696256",
            "name": "鹰潭",
            "parentId": "17694720",
            "level": "13",
            "abbr": "yt",
            "children": []
          },
          {
            "id": "17696512",
            "name": "赣州",
            "parentId": "17694720",
            "level": "13",
            "abbr": "gz",
            "children": []
          },
          {
            "id": "17696768",
            "name": "吉安",
            "parentId": "17694720",
            "level": "13",
            "abbr": "ja",
            "children": []
          },
          {
            "id": "17697024",
            "name": "宜春",
            "parentId": "17694720",
            "level": "13",
            "abbr": "yc",
            "children": []
          },
          {
            "id": "17697280",
            "name": "抚州",
            "parentId": "17694720",
            "level": "13",
            "abbr": "fz",
            "children": []
          },
          {
            "id": "17697536",
            "name": "上饶",
            "parentId": "17694720",
            "level": "13",
            "abbr": "sr",
            "children": []
          }
        ]
      },
      {
        "id": "17760256",
        "name": "山东",
        "parentId": "1000002",
        "level": "12",
        "abbr": "sd",
        "children": [
          {
            "id": "17760512",
            "name": "济南",
            "parentId": "17760256",
            "level": "13",
            "abbr": "jnan",
            "children": []
          },
          {
            "id": "17760768",
            "name": "青岛",
            "parentId": "17760256",
            "level": "13",
            "abbr": "qd",
            "children": []
          },
          {
            "id": "17761024",
            "name": "淄博",
            "parentId": "17760256",
            "level": "13",
            "abbr": "zb",
            "children": []
          },
          {
            "id": "17761280",
            "name": "枣庄",
            "parentId": "17760256",
            "level": "13",
            "abbr": "zz",
            "children": []
          },
          {
            "id": "17761536",
            "name": "东营",
            "parentId": "17760256",
            "level": "13",
            "abbr": "dy",
            "children": []
          },
          {
            "id": "17761792",
            "name": "潍坊",
            "parentId": "17760256",
            "level": "13",
            "abbr": "wf",
            "children": []
          },
          {
            "id": "17762048",
            "name": "烟台",
            "parentId": "17760256",
            "level": "13",
            "abbr": "yt",
            "children": []
          },
          {
            "id": "17762304",
            "name": "威海",
            "parentId": "17760256",
            "level": "13",
            "abbr": "wh",
            "children": []
          },
          {
            "id": "17762560",
            "name": "济宁",
            "parentId": "17760256",
            "level": "13",
            "abbr": "jnin",
            "children": []
          },
          {
            "id": "17762816",
            "name": "泰安",
            "parentId": "17760256",
            "level": "13",
            "abbr": "ta",
            "children": []
          },
          {
            "id": "17763072",
            "name": "日照",
            "parentId": "17760256",
            "level": "13",
            "abbr": "rz",
            "children": []
          },
          {
            "id": "17763328",
            "name": "莱芜",
            "parentId": "17760256",
            "level": "13",
            "abbr": "lw",
            "children": []
          },
          {
            "id": "17763584",
            "name": "临沂",
            "parentId": "17760256",
            "level": "13",
            "abbr": "ly",
            "children": []
          },
          {
            "id": "17763840",
            "name": "德州",
            "parentId": "17760256",
            "level": "13",
            "abbr": "dz",
            "children": []
          },
          {
            "id": "17764096",
            "name": "聊城",
            "parentId": "17760256",
            "level": "13",
            "abbr": "lc",
            "children": []
          },
          {
            "id": "17764352",
            "name": "滨州",
            "parentId": "17760256",
            "level": "13",
            "abbr": "bz",
            "children": []
          },
          {
            "id": "17764608",
            "name": "菏泽",
            "parentId": "17760256",
            "level": "13",
            "abbr": "hz",
            "children": []
          }
        ]
      }
    ]
  },
  {
    "id": "1000003",
    "name": "华中",
    "parentId": "100001",
    "level": "11",
    "abbr": "hz",
    "children": [
      {
        "id": "17825792",
        "name": "河南",
        "parentId": "1000003",
        "level": "12",
        "abbr": "hb",
        "children": [
          {
            "id": "17826048",
            "name": "郑州",
            "parentId": "17825792",
            "level": "13",
            "abbr": "zz",
            "children": []
          },
          {
            "id": "17826304",
            "name": "开封",
            "parentId": "17825792",
            "level": "13",
            "abbr": "kf",
            "children": []
          },
          {
            "id": "17826560",
            "name": "洛阳",
            "parentId": "17825792",
            "level": "13",
            "abbr": "ly",
            "children": []
          },
          {
            "id": "17826816",
            "name": "平顶山",
            "parentId": "17825792",
            "level": "13",
            "abbr": "pds",
            "children": []
          },
          {
            "id": "17827072",
            "name": "焦作",
            "parentId": "17825792",
            "level": "13",
            "abbr": "jz",
            "children": []
          },
          {
            "id": "17827328",
            "name": "鹤壁",
            "parentId": "17825792",
            "level": "13",
            "abbr": "hb",
            "children": []
          },
          {
            "id": "17827584",
            "name": "新乡",
            "parentId": "17825792",
            "level": "13",
            "abbr": "xx",
            "children": []
          },
          {
            "id": "17827840",
            "name": "安阳",
            "parentId": "17825792",
            "level": "13",
            "abbr": "ay",
            "children": []
          },
          {
            "id": "17828096",
            "name": "濮阳",
            "parentId": "17825792",
            "level": "13",
            "abbr": "py",
            "children": []
          },
          {
            "id": "17828352",
            "name": "许昌",
            "parentId": "17825792",
            "level": "13",
            "abbr": "xc",
            "children": []
          },
          {
            "id": "17828608",
            "name": "漯河",
            "parentId": "17825792",
            "level": "13",
            "abbr": "lh",
            "children": []
          },
          {
            "id": "17828864",
            "name": "三门峡",
            "parentId": "17825792",
            "level": "13",
            "abbr": "smx",
            "children": []
          },
          {
            "id": "17829120",
            "name": "南阳",
            "parentId": "17825792",
            "level": "13",
            "abbr": "ny",
            "children": []
          },
          {
            "id": "17829376",
            "name": "商丘",
            "parentId": "17825792",
            "level": "13",
            "abbr": "sq",
            "children": []
          },
          {
            "id": "17829632",
            "name": "信阳",
            "parentId": "17825792",
            "level": "13",
            "abbr": "xy",
            "children": []
          },
          {
            "id": "17829888",
            "name": "周口",
            "parentId": "17825792",
            "level": "13",
            "abbr": "zk",
            "children": []
          },
          {
            "id": "17830144",
            "name": "驻马店",
            "parentId": "17825792",
            "level": "13",
            "abbr": "zmd",
            "children": []
          },
          {
            "id": "17830400",
            "name": "济源",
            "parentId": "17825792",
            "level": "13",
            "abbr": "jy",
            "children": []
          }
        ]
      },
      {
        "id": "17891328",
        "name": "湖北",
        "parentId": "1000003",
        "level": "12",
        "abbr": "hb",
        "children": [
          {
            "id": "17891584",
            "name": "武汉",
            "parentId": "17891328",
            "level": "13",
            "abbr": "wh",
            "children": []
          },
          {
            "id": "17891840",
            "name": "黄石",
            "parentId": "17891328",
            "level": "13",
            "abbr": "hs",
            "children": []
          },
          {
            "id": "17892096",
            "name": "襄阳",
            "parentId": "17891328",
            "level": "13",
            "abbr": "xy",
            "children": []
          },
          {
            "id": "17892352",
            "name": "十堰",
            "parentId": "17891328",
            "level": "13",
            "abbr": "sy",
            "children": []
          },
          {
            "id": "17892608",
            "name": "荆州",
            "parentId": "17891328",
            "level": "13",
            "abbr": "jz",
            "children": []
          },
          {
            "id": "17892864",
            "name": "宜昌",
            "parentId": "17891328",
            "level": "13",
            "abbr": "yc",
            "children": []
          },
          {
            "id": "17893120",
            "name": "荆门",
            "parentId": "17891328",
            "level": "13",
            "abbr": "jm",
            "children": []
          },
          {
            "id": "17893376",
            "name": "鄂州",
            "parentId": "17891328",
            "level": "13",
            "abbr": "ez",
            "children": []
          },
          {
            "id": "17893632",
            "name": "孝感",
            "parentId": "17891328",
            "level": "13",
            "abbr": "xg",
            "children": []
          },
          {
            "id": "17893888",
            "name": "黄冈",
            "parentId": "17891328",
            "level": "13",
            "abbr": "hg",
            "children": []
          },
          {
            "id": "17894144",
            "name": "咸宁",
            "parentId": "17891328",
            "level": "13",
            "abbr": "xn",
            "children": []
          },
          {
            "id": "17894400",
            "name": "随州",
            "parentId": "17891328",
            "level": "13",
            "abbr": "sz",
            "children": []
          },
          {
            "id": "17894656",
            "name": "恩施土家族苗族自治州",
            "parentId": "17891328",
            "level": "13",
            "abbr": "estjzmzzzz",
            "children": []
          },
          {
            "id": "17894912",
            "name": "仙桃",
            "parentId": "17891328",
            "level": "13",
            "abbr": "xt",
            "children": []
          },
          {
            "id": "17895168",
            "name": "天门",
            "parentId": "17891328",
            "level": "13",
            "abbr": "tm",
            "children": []
          },
          {
            "id": "17895424",
            "name": "潜江",
            "parentId": "17891328",
            "level": "13",
            "abbr": "qj",
            "children": []
          },
          {
            "id": "17895680",
            "name": "神农架林区",
            "parentId": "17891328",
            "level": "13",
            "abbr": "snjlq",
            "children": []
          }
        ]
      },
      {
        "id": "17956864",
        "name": "湖南",
        "parentId": "1000003",
        "level": "12",
        "abbr": "hn",
        "children": [
          {
            "id": "17957120",
            "name": "长沙",
            "parentId": "17956864",
            "level": "13",
            "abbr": "cs",
            "children": []
          },
          {
            "id": "17957376",
            "name": "株洲",
            "parentId": "17956864",
            "level": "13",
            "abbr": "zz",
            "children": []
          },
          {
            "id": "17957632",
            "name": "湘潭",
            "parentId": "17956864",
            "level": "13",
            "abbr": "xt",
            "children": []
          },
          {
            "id": "17957888",
            "name": "衡阳",
            "parentId": "17956864",
            "level": "13",
            "abbr": "hy",
            "children": []
          },
          {
            "id": "17958144",
            "name": "邵阳",
            "parentId": "17956864",
            "level": "13",
            "abbr": "sy",
            "children": []
          },
          {
            "id": "17958400",
            "name": "岳阳",
            "parentId": "17956864",
            "level": "13",
            "abbr": "yuy",
            "children": []
          },
          {
            "id": "17958656",
            "name": "常德",
            "parentId": "17956864",
            "level": "13",
            "abbr": "cd",
            "children": []
          },
          {
            "id": "17958912",
            "name": "张家界",
            "parentId": "17956864",
            "level": "13",
            "abbr": "zjj",
            "children": []
          },
          {
            "id": "17959168",
            "name": "益阳",
            "parentId": "17956864",
            "level": "13",
            "abbr": "yiy",
            "children": []
          },
          {
            "id": "17959424",
            "name": "郴州",
            "parentId": "17956864",
            "level": "13",
            "abbr": "cz",
            "children": []
          },
          {
            "id": "17959680",
            "name": "永州",
            "parentId": "17956864",
            "level": "13",
            "abbr": "yz",
            "children": []
          },
          {
            "id": "17959936",
            "name": "怀化",
            "parentId": "17956864",
            "level": "13",
            "abbr": "hh",
            "children": []
          },
          {
            "id": "17960192",
            "name": "娄底",
            "parentId": "17956864",
            "level": "13",
            "abbr": "ld",
            "children": []
          },
          {
            "id": "17960448",
            "name": "湘西土家族苗族自治州",
            "parentId": "17956864",
            "level": "13",
            "abbr": "xxtjzmzzzz",
            "children": []
          }
        ]
      }
    ]
  },
  {
    "id": "1000004",
    "name": "华南",
    "parentId": "100001",
    "level": "11",
    "abbr": "hn",
    "children": [
      {
        "id": "18022400",
        "name": "广东",
        "parentId": "1000004",
        "level": "12",
        "abbr": "gd",
        "children": [
          {
            "id": "18022656",
            "name": "广州",
            "parentId": "18022400",
            "level": "13",
            "abbr": "gz",
            "children": []
          },
          {
            "id": "18022912",
            "name": "深圳",
            "parentId": "18022400",
            "level": "13",
            "abbr": "sz",
            "children": []
          },
          {
            "id": "18023168",
            "name": "珠海",
            "parentId": "18022400",
            "level": "13",
            "abbr": "zh",
            "children": []
          },
          {
            "id": "18023424",
            "name": "汕头",
            "parentId": "18022400",
            "level": "13",
            "abbr": "st",
            "children": []
          },
          {
            "id": "18023680",
            "name": "韶关",
            "parentId": "18022400",
            "level": "13",
            "abbr": "sg",
            "children": []
          },
          {
            "id": "18023936",
            "name": "河源",
            "parentId": "18022400",
            "level": "13",
            "abbr": "hy",
            "children": []
          },
          {
            "id": "18024192",
            "name": "梅州",
            "parentId": "18022400",
            "level": "13",
            "abbr": "mz",
            "children": []
          },
          {
            "id": "18024448",
            "name": "汕尾",
            "parentId": "18022400",
            "level": "13",
            "abbr": "sw",
            "children": []
          },
          {
            "id": "18024704",
            "name": "东莞",
            "parentId": "18022400",
            "level": "13",
            "abbr": "dg",
            "children": []
          },
          {
            "id": "18024960",
            "name": "中山",
            "parentId": "18022400",
            "level": "13",
            "abbr": "zs",
            "children": []
          },
          {
            "id": "18025216",
            "name": "江门",
            "parentId": "18022400",
            "level": "13",
            "abbr": "jm",
            "children": []
          },
          {
            "id": "18025472",
            "name": "佛山",
            "parentId": "18022400",
            "level": "13",
            "abbr": "fs",
            "children": []
          },
          {
            "id": "18025728",
            "name": "阳江",
            "parentId": "18022400",
            "level": "13",
            "abbr": "yj",
            "children": []
          },
          {
            "id": "18025984",
            "name": "湛江",
            "parentId": "18022400",
            "level": "13",
            "abbr": "zj",
            "children": []
          },
          {
            "id": "18026240",
            "name": "茂名",
            "parentId": "18022400",
            "level": "13",
            "abbr": "mm",
            "children": []
          },
          {
            "id": "18026496",
            "name": "肇庆",
            "parentId": "18022400",
            "level": "13",
            "abbr": "zq",
            "children": []
          },
          {
            "id": "18026752",
            "name": "清远",
            "parentId": "18022400",
            "level": "13",
            "abbr": "qy",
            "children": []
          },
          {
            "id": "18027008",
            "name": "潮州",
            "parentId": "18022400",
            "level": "13",
            "abbr": "cz",
            "children": []
          },
          {
            "id": "18027264",
            "name": "揭阳",
            "parentId": "18022400",
            "level": "13",
            "abbr": "jy",
            "children": []
          },
          {
            "id": "18027520",
            "name": "云浮",
            "parentId": "18022400",
            "level": "13",
            "abbr": "yf",
            "children": []
          },
          {
            "id": "18027776",
            "name": "惠州",
            "parentId": "18022400",
            "level": "13",
            "abbr": "hz",
            "children": []
          }
        ]
      },
      {
        "id": "18087936",
        "name": "广西",
        "parentId": "1000004",
        "level": "12",
        "abbr": "gx",
        "children": [
          {
            "id": "18088192",
            "name": "南宁",
            "parentId": "18087936",
            "level": "13",
            "abbr": "nn",
            "children": []
          },
          {
            "id": "18088448",
            "name": "柳州",
            "parentId": "18087936",
            "level": "13",
            "abbr": "lz",
            "children": []
          },
          {
            "id": "18088704",
            "name": "桂林",
            "parentId": "18087936",
            "level": "13",
            "abbr": "gl",
            "children": []
          },
          {
            "id": "18088960",
            "name": "梧州",
            "parentId": "18087936",
            "level": "13",
            "abbr": "wz",
            "children": []
          },
          {
            "id": "18089216",
            "name": "北海",
            "parentId": "18087936",
            "level": "13",
            "abbr": "bh",
            "children": []
          },
          {
            "id": "18089472",
            "name": "防城港",
            "parentId": "18087936",
            "level": "13",
            "abbr": "fcg",
            "children": []
          },
          {
            "id": "18089728",
            "name": "钦州",
            "parentId": "18087936",
            "level": "13",
            "abbr": "qz",
            "children": []
          },
          {
            "id": "18089984",
            "name": "贵港",
            "parentId": "18087936",
            "level": "13",
            "abbr": "gg",
            "children": []
          },
          {
            "id": "18090240",
            "name": "玉林",
            "parentId": "18087936",
            "level": "13",
            "abbr": "yl",
            "children": []
          },
          {
            "id": "18090496",
            "name": "百色",
            "parentId": "18087936",
            "level": "13",
            "abbr": "bs",
            "children": []
          },
          {
            "id": "18090752",
            "name": "贺州",
            "parentId": "18087936",
            "level": "13",
            "abbr": "hz",
            "children": []
          },
          {
            "id": "18091008",
            "name": "河池",
            "parentId": "18087936",
            "level": "13",
            "abbr": "hc",
            "children": []
          },
          {
            "id": "18091264",
            "name": "来宾",
            "parentId": "18087936",
            "level": "13",
            "abbr": "lb",
            "children": []
          },
          {
            "id": "18091520",
            "name": "崇左",
            "parentId": "18087936",
            "level": "13",
            "abbr": "cz",
            "children": []
          }
        ]
      },
      {
        "id": "18153472",
        "name": "海南",
        "parentId": "1000004",
        "level": "12",
        "abbr": "hn",
        "children": [
          {
            "id": "18153728",
            "name": "海口",
            "parentId": "18153472",
            "level": "13",
            "abbr": "hk",
            "children": []
          },
          {
            "id": "18153984",
            "name": "三亚",
            "parentId": "18153472",
            "level": "13",
            "abbr": "jc",
            "children": []
          },
          {
            "id": "18154496",
            "name": "文昌",
            "parentId": "18153472",
            "level": "13",
            "abbr": "wc",
            "children": []
          },
          {
            "id": "18154752",
            "name": "琼海",
            "parentId": "18153472",
            "level": "13",
            "abbr": "qh",
            "children": []
          },
          {
            "id": "18155008",
            "name": "万宁",
            "parentId": "18153472",
            "level": "13",
            "abbr": "wn",
            "children": []
          },
          {
            "id": "18155264",
            "name": "五指山",
            "parentId": "18153472",
            "level": "13",
            "abbr": "wzs",
            "children": []
          },
          {
            "id": "18155520",
            "name": "东方",
            "parentId": "18153472",
            "level": "13",
            "abbr": "df",
            "children": []
          },
          {
            "id": "18155776",
            "name": "儋州",
            "parentId": "18153472",
            "level": "13",
            "abbr": "dz",
            "children": []
          },
          {
            "id": "18156032",
            "name": "临高",
            "parentId": "18153472",
            "level": "13",
            "abbr": "lgx",
            "children": []
          },
          {
            "id": "18156288",
            "name": "澄迈",
            "parentId": "18153472",
            "level": "13",
            "abbr": "cmx",
            "children": []
          },
          {
            "id": "18156544",
            "name": "定安",
            "parentId": "18153472",
            "level": "13",
            "abbr": "dax",
            "children": []
          },
          {
            "id": "18156800",
            "name": "屯昌",
            "parentId": "18153472",
            "level": "13",
            "abbr": "tcx",
            "children": []
          },
          {
            "id": "18157056",
            "name": "昌江黎族自治县",
            "parentId": "18153472",
            "level": "13",
            "abbr": "cjlzzzx",
            "children": []
          },
          {
            "id": "18157312",
            "name": "白沙黎族自治县",
            "parentId": "18153472",
            "level": "13",
            "abbr": "bslzzzx",
            "children": []
          },
          {
            "id": "18157568",
            "name": "琼中黎族苗族自治县",
            "parentId": "18153472",
            "level": "13",
            "abbr": "qzlzmzzzx",
            "children": []
          },
          {
            "id": "18157824",
            "name": "陵水黎族自治县",
            "parentId": "18153472",
            "level": "13",
            "abbr": "lslzzzx",
            "children": []
          },
          {
            "id": "18158080",
            "name": "保亭黎族苗族自治县",
            "parentId": "18153472",
            "level": "13",
            "abbr": "btlzmzzzx",
            "children": []
          },
          {
            "id": "18158336",
            "name": "乐东黎族自治县",
            "parentId": "18153472",
            "level": "13",
            "abbr": "ldlzzzx",
            "children": []
          },
          {
            "id": "18158592",
            "name": "三沙",
            "parentId": "18153472",
            "level": "13",
            "abbr": "ss",
            "children": []
          },
          {
            "id": "18158848",
            "name": "洋浦",
            "parentId": "18153472",
            "level": "13",
            "abbr": "yp",
            "children": []
          }
        ]
      }
    ]
  },
  {
    "id": "1000005",
    "name": "西南",
    "parentId": "100001",
    "level": "11",
    "abbr": "xn",
    "children": [
      {
        "id": "18219008",
        "name": "重庆",
        "parentId": "1000005",
        "level": "12",
        "abbr": "zq",
        "children": []
      },
      {
        "id": "18284544",
        "name": "四川",
        "parentId": "1000005",
        "level": "12",
        "abbr": "sc",
        "children": [
          {
            "id": "18284800",
            "name": "成都",
            "parentId": "18284544",
            "level": "13",
            "abbr": "cd",
            "children": []
          },
          {
            "id": "18285056",
            "name": "自贡",
            "parentId": "18284544",
            "level": "13",
            "abbr": "zg",
            "children": []
          },
          {
            "id": "18285312",
            "name": "攀枝花",
            "parentId": "18284544",
            "level": "13",
            "abbr": "pzh",
            "children": []
          },
          {
            "id": "18285568",
            "name": "泸州",
            "parentId": "18284544",
            "level": "13",
            "abbr": "lz",
            "children": []
          },
          {
            "id": "18285824",
            "name": "德阳",
            "parentId": "18284544",
            "level": "13",
            "abbr": "dy",
            "children": []
          },
          {
            "id": "18286080",
            "name": "绵阳",
            "parentId": "18284544",
            "level": "13",
            "abbr": "my",
            "children": []
          },
          {
            "id": "18286336",
            "name": "广元",
            "parentId": "18284544",
            "level": "13",
            "abbr": "gy",
            "children": []
          },
          {
            "id": "18286592",
            "name": "遂宁",
            "parentId": "18284544",
            "level": "13",
            "abbr": "sn",
            "children": []
          },
          {
            "id": "18286848",
            "name": "内江",
            "parentId": "18284544",
            "level": "13",
            "abbr": "nj",
            "children": []
          },
          {
            "id": "18287104",
            "name": "乐山",
            "parentId": "18284544",
            "level": "13",
            "abbr": "ls",
            "children": []
          },
          {
            "id": "18287360",
            "name": "南充",
            "parentId": "18284544",
            "level": "13",
            "abbr": "nc",
            "children": []
          },
          {
            "id": "18287616",
            "name": "宜宾",
            "parentId": "18284544",
            "level": "13",
            "abbr": "yb",
            "children": []
          },
          {
            "id": "18287872",
            "name": "广安",
            "parentId": "18284544",
            "level": "13",
            "abbr": "ga",
            "children": []
          },
          {
            "id": "18288128",
            "name": "达州",
            "parentId": "18284544",
            "level": "13",
            "abbr": "dz",
            "children": []
          },
          {
            "id": "18288384",
            "name": "眉山",
            "parentId": "18284544",
            "level": "13",
            "abbr": "ms",
            "children": []
          },
          {
            "id": "18288640",
            "name": "雅安",
            "parentId": "18284544",
            "level": "13",
            "abbr": "ya",
            "children": []
          },
          {
            "id": "18288896",
            "name": "巴中",
            "parentId": "18284544",
            "level": "13",
            "abbr": "bz",
            "children": []
          },
          {
            "id": "18289152",
            "name": "资阳",
            "parentId": "18284544",
            "level": "13",
            "abbr": "zy",
            "children": []
          },
          {
            "id": "18289408",
            "name": "阿坝藏族羌族自治州",
            "parentId": "18284544",
            "level": "13",
            "abbr": "abczqzzzz",
            "children": []
          },
          {
            "id": "18289664",
            "name": "甘孜藏族自治州",
            "parentId": "18284544",
            "level": "13",
            "abbr": "gzczzzz",
            "children": []
          },
          {
            "id": "18289920",
            "name": "凉山彝族自治州",
            "parentId": "18284544",
            "level": "13",
            "abbr": "lsyzzzz",
            "children": []
          }
        ]
      },
      {
        "id": "18350080",
        "name": "贵州",
        "parentId": "1000005",
        "level": "12",
        "abbr": "gz",
        "children": [
          {
            "id": "18350336",
            "name": "贵阳",
            "parentId": "18350080",
            "level": "13",
            "abbr": "gy",
            "children": []
          },
          {
            "id": "18350592",
            "name": "六盘水",
            "parentId": "18350080",
            "level": "13",
            "abbr": "lps",
            "children": []
          },
          {
            "id": "18350848",
            "name": "遵义",
            "parentId": "18350080",
            "level": "13",
            "abbr": "zy",
            "children": []
          },
          {
            "id": "18351104",
            "name": "安顺",
            "parentId": "18350080",
            "level": "13",
            "abbr": "as",
            "children": []
          },
          {
            "id": "18351360",
            "name": "铜仁",
            "parentId": "18350080",
            "level": "13",
            "abbr": "tr",
            "children": []
          },
          {
            "id": "18351616",
            "name": "毕节",
            "parentId": "18350080",
            "level": "13",
            "abbr": "bj",
            "children": []
          },
          {
            "id": "18351872",
            "name": "黔西南布依族苗族自治州",
            "parentId": "18350080",
            "level": "13",
            "abbr": "qxnbyzmzzzz",
            "children": []
          },
          {
            "id": "18352128",
            "name": "黔东南苗族侗族自治州",
            "parentId": "18350080",
            "level": "13",
            "abbr": "qdnmzdzzzz",
            "children": []
          },
          {
            "id": "18352384",
            "name": "黔南布依族苗族自治州",
            "parentId": "18350080",
            "level": "13",
            "abbr": "qnbyzmzzzz",
            "children": []
          }
        ]
      },
      {
        "id": "18415616",
        "name": "云南",
        "parentId": "1000005",
        "level": "12",
        "abbr": "yn",
        "children": [
          {
            "id": "18415872",
            "name": "昆明",
            "parentId": "18415616",
            "level": "13",
            "abbr": "km",
            "children": []
          },
          {
            "id": "18416128",
            "name": "曲靖",
            "parentId": "18415616",
            "level": "13",
            "abbr": "qj",
            "children": []
          },
          {
            "id": "18416384",
            "name": "玉溪",
            "parentId": "18415616",
            "level": "13",
            "abbr": "yx",
            "children": []
          },
          {
            "id": "18416640",
            "name": "保山",
            "parentId": "18415616",
            "level": "13",
            "abbr": "bs",
            "children": []
          },
          {
            "id": "18416896",
            "name": "昭通",
            "parentId": "18415616",
            "level": "13",
            "abbr": "zt",
            "children": []
          },
          {
            "id": "18417152",
            "name": "普洱",
            "parentId": "18415616",
            "level": "13",
            "abbr": "pe",
            "children": []
          },
          {
            "id": "18417408",
            "name": "临沧",
            "parentId": "18415616",
            "level": "13",
            "abbr": "lc",
            "children": []
          },
          {
            "id": "18417664",
            "name": "丽江",
            "parentId": "18415616",
            "level": "13",
            "abbr": "lj",
            "children": []
          },
          {
            "id": "18417920",
            "name": "文山壮族苗族自治州",
            "parentId": "18415616",
            "level": "13",
            "abbr": "wszzmzzzz",
            "children": []
          },
          {
            "id": "18418176",
            "name": "红河哈尼族彝族自治州",
            "parentId": "18415616",
            "level": "13",
            "abbr": "hhhnzyzzzz",
            "children": []
          },
          {
            "id": "18418432",
            "name": "西双版纳傣族自治州",
            "parentId": "18415616",
            "level": "13",
            "abbr": "xsbndzzzz",
            "children": []
          },
          {
            "id": "18418688",
            "name": "楚雄彝族自治州",
            "parentId": "18415616",
            "level": "13",
            "abbr": "cxyzzzz",
            "children": []
          },
          {
            "id": "18418944",
            "name": "大理白族自治州",
            "parentId": "18415616",
            "level": "13",
            "abbr": "dlbzzzz",
            "children": []
          },
          {
            "id": "18419200",
            "name": "德宏傣族景颇族自治州",
            "parentId": "18415616",
            "level": "13",
            "abbr": "dhdzjpzzzz",
            "children": []
          },
          {
            "id": "18419456",
            "name": "怒江傈傈族自治州",
            "parentId": "18415616",
            "level": "13",
            "abbr": "njllzzzz",
            "children": []
          },
          {
            "id": "18419712",
            "name": "迪庆藏族自治州",
            "parentId": "18415616",
            "level": "13",
            "abbr": "dqczzzz",
            "children": []
          }
        ]
      },
      {
        "id": "18481152",
        "name": "西藏",
        "parentId": "1000005",
        "level": "12",
        "abbr": "xz",
        "children": [
          {
            "id": "18481408",
            "name": "拉萨",
            "parentId": "18481152",
            "level": "13",
            "abbr": "ls",
            "children": []
          },
          {
            "id": "18481664",
            "name": "那曲",
            "parentId": "18481152",
            "level": "13",
            "abbr": "nq",
            "children": []
          },
          {
            "id": "18481920",
            "name": "昌都",
            "parentId": "18481152",
            "level": "13",
            "abbr": "cd",
            "children": []
          },
          {
            "id": "18482176",
            "name": "山南",
            "parentId": "18481152",
            "level": "13",
            "abbr": "sn",
            "children": []
          },
          {
            "id": "18482432",
            "name": "日喀则",
            "parentId": "18481152",
            "level": "13",
            "abbr": "rkz",
            "children": []
          },
          {
            "id": "18482688",
            "name": "阿里",
            "parentId": "18481152",
            "level": "13",
            "abbr": "al",
            "children": []
          },
          {
            "id": "18482944",
            "name": "林芝",
            "parentId": "18481152",
            "level": "13",
            "abbr": "lz",
            "children": []
          }
        ]
      }
    ]
  },
  {
    "id": "1000006",
    "name": "西北",
    "parentId": "100001",
    "level": "11",
    "abbr": "xb",
    "children": [
      {
        "id": "18546688",
        "name": "陕西",
        "parentId": "1000006",
        "level": "12",
        "abbr": "sx",
        "children": [
          {
            "id": "18546944",
            "name": "西安",
            "parentId": "18546688",
            "level": "13",
            "abbr": "xa",
            "children": []
          },
          {
            "id": "18547200",
            "name": "铜川",
            "parentId": "18546688",
            "level": "13",
            "abbr": "tc",
            "children": []
          },
          {
            "id": "18547456",
            "name": "宝鸡",
            "parentId": "18546688",
            "level": "13",
            "abbr": "bj",
            "children": []
          },
          {
            "id": "18547712",
            "name": "咸阳",
            "parentId": "18546688",
            "level": "13",
            "abbr": "xy",
            "children": []
          },
          {
            "id": "18547968",
            "name": "渭南",
            "parentId": "18546688",
            "level": "13",
            "abbr": "wn",
            "children": []
          },
          {
            "id": "18548224",
            "name": "延安",
            "parentId": "18546688",
            "level": "13",
            "abbr": "ya",
            "children": []
          },
          {
            "id": "18548480",
            "name": "汉中",
            "parentId": "18546688",
            "level": "13",
            "abbr": "hz",
            "children": []
          },
          {
            "id": "18548736",
            "name": "榆林",
            "parentId": "18546688",
            "level": "13",
            "abbr": "yl",
            "children": []
          },
          {
            "id": "18548992",
            "name": "安康",
            "parentId": "18546688",
            "level": "13",
            "abbr": "ak",
            "children": []
          },
          {
            "id": "18549248",
            "name": "商洛",
            "parentId": "18546688",
            "level": "13",
            "abbr": "sl",
            "children": []
          }
        ]
      },
      {
        "id": "18612224",
        "name": "甘肃",
        "parentId": "1000006",
        "level": "12",
        "abbr": "gs",
        "children": [
          {
            "id": "18612480",
            "name": "兰州",
            "parentId": "18612224",
            "level": "13",
            "abbr": "lz",
            "children": []
          },
          {
            "id": "18612736",
            "name": "金昌",
            "parentId": "18612224",
            "level": "13",
            "abbr": "jc",
            "children": []
          },
          {
            "id": "18612992",
            "name": "白银",
            "parentId": "18612224",
            "level": "13",
            "abbr": "by",
            "children": []
          },
          {
            "id": "18613248",
            "name": "天水",
            "parentId": "18612224",
            "level": "13",
            "abbr": "ts",
            "children": []
          },
          {
            "id": "18613504",
            "name": "嘉峪关",
            "parentId": "18612224",
            "level": "13",
            "abbr": "jyg",
            "children": []
          },
          {
            "id": "18613760",
            "name": "武威",
            "parentId": "18612224",
            "level": "13",
            "abbr": "ww",
            "children": []
          },
          {
            "id": "18614016",
            "name": "张掖",
            "parentId": "18612224",
            "level": "13",
            "abbr": "zy",
            "children": []
          },
          {
            "id": "18614272",
            "name": "平凉",
            "parentId": "18612224",
            "level": "13",
            "abbr": "pl",
            "children": []
          },
          {
            "id": "18614528",
            "name": "酒泉",
            "parentId": "18612224",
            "level": "13",
            "abbr": "jq",
            "children": []
          },
          {
            "id": "18614784",
            "name": "庆阳",
            "parentId": "18612224",
            "level": "13",
            "abbr": "qy",
            "children": []
          },
          {
            "id": "18615040",
            "name": "定西",
            "parentId": "18612224",
            "level": "13",
            "abbr": "dx",
            "children": []
          },
          {
            "id": "18615296",
            "name": "陇南",
            "parentId": "18612224",
            "level": "13",
            "abbr": "ln",
            "children": []
          },
          {
            "id": "18615552",
            "name": "甘南藏族自治州",
            "parentId": "18612224",
            "level": "13",
            "abbr": "gnczzzz",
            "children": []
          },
          {
            "id": "18615808",
            "name": "临夏回族自治州",
            "parentId": "18612224",
            "level": "13",
            "abbr": "lxhzzzz",
            "children": []
          }
        ]
      },
      {
        "id": "18677760",
        "name": "青海",
        "parentId": "1000006",
        "level": "12",
        "abbr": "qh",
        "children": [
          {
            "id": "18678016",
            "name": "西宁",
            "parentId": "18677760",
            "level": "13",
            "abbr": "xn",
            "children": []
          },
          {
            "id": "18678272",
            "name": "海东",
            "parentId": "18677760",
            "level": "13",
            "abbr": "hd",
            "children": []
          },
          {
            "id": "18678528",
            "name": "海北藏族自治州",
            "parentId": "18677760",
            "level": "13",
            "abbr": "hbczzzz",
            "children": []
          },
          {
            "id": "18678784",
            "name": "海南藏族自治州",
            "parentId": "18677760",
            "level": "13",
            "abbr": "hanczzzz",
            "children": []
          },
          {
            "id": "18679040",
            "name": "果洛藏族自治州",
            "parentId": "18677760",
            "level": "13",
            "abbr": "glczzzz",
            "children": []
          },
          {
            "id": "18679296",
            "name": "玉树藏族自治州",
            "parentId": "18677760",
            "level": "13",
            "abbr": "ysczzzz",
            "children": []
          },
          {
            "id": "18679552",
            "name": "海西蒙古族藏族自治州",
            "parentId": "18677760",
            "level": "13",
            "abbr": "hxmgzczzzz",
            "children": []
          },
          {
            "id": "18679808",
            "name": "黄南藏族自治州",
            "parentId": "18677760",
            "level": "13",
            "abbr": "hunczzzz",
            "children": []
          }
        ]
      },
      {
        "id": "18743296",
        "name": "宁夏",
        "parentId": "1000006",
        "level": "12",
        "abbr": "nx",
        "children": [
          {
            "id": "18743552",
            "name": "银川",
            "parentId": "18743296",
            "level": "13",
            "abbr": "yc",
            "children": []
          },
          {
            "id": "18743808",
            "name": "石嘴山",
            "parentId": "18743296",
            "level": "13",
            "abbr": "szs",
            "children": []
          },
          {
            "id": "18744064",
            "name": "吴忠",
            "parentId": "18743296",
            "level": "13",
            "abbr": "wz",
            "children": []
          },
          {
            "id": "18744320",
            "name": "固原",
            "parentId": "18743296",
            "level": "13",
            "abbr": "gy",
            "children": []
          },
          {
            "id": "18744576",
            "name": "中卫",
            "parentId": "18743296",
            "level": "13",
            "abbr": "zw",
            "children": []
          }
        ]
      },
      {
        "id": "18808832",
        "name": "新疆",
        "parentId": "1000006",
        "level": "12",
        "abbr": "xj",
        "children": [
          {
            "id": "18809088",
            "name": "乌鲁木齐",
            "parentId": "18808832",
            "level": "13",
            "abbr": "wlmq",
            "children": []
          },
          {
            "id": "18809344",
            "name": "克拉玛依",
            "parentId": "18808832",
            "level": "13",
            "abbr": "klmy",
            "children": []
          },
          {
            "id": "18809600",
            "name": "石河子",
            "parentId": "18808832",
            "level": "13",
            "abbr": "shz",
            "children": []
          },
          {
            "id": "18809856",
            "name": "阿拉尔",
            "parentId": "18808832",
            "level": "13",
            "abbr": "ale",
            "children": []
          },
          {
            "id": "18810112",
            "name": "图木舒克",
            "parentId": "18808832",
            "level": "13",
            "abbr": "tmsk",
            "children": []
          },
          {
            "id": "18810368",
            "name": "五家渠",
            "parentId": "18808832",
            "level": "13",
            "abbr": "wjq",
            "children": []
          },
          {
            "id": "18810624",
            "name": "吐鲁番",
            "parentId": "18808832",
            "level": "13",
            "abbr": "tlf",
            "children": []
          },
          {
            "id": "18810880",
            "name": "哈密",
            "parentId": "18808832",
            "level": "13",
            "abbr": "hm",
            "children": []
          },
          {
            "id": "18811136",
            "name": "和田",
            "parentId": "18808832",
            "level": "13",
            "abbr": "ht",
            "children": []
          },
          {
            "id": "18811392",
            "name": "阿克苏",
            "parentId": "18808832",
            "level": "13",
            "abbr": "aks",
            "children": []
          },
          {
            "id": "18811648",
            "name": "喀什",
            "parentId": "18808832",
            "level": "13",
            "abbr": "ks",
            "children": []
          },
          {
            "id": "18811904",
            "name": "克孜勒苏柯尔克孜自治州",
            "parentId": "18808832",
            "level": "13",
            "abbr": "kzlskekzzzz",
            "children": []
          },
          {
            "id": "18812160",
            "name": "巴音郭楞蒙古自治州",
            "parentId": "18808832",
            "level": "13",
            "abbr": "byglmgzzz",
            "children": []
          },
          {
            "id": "18812416",
            "name": "昌吉回族自治州",
            "parentId": "18808832",
            "level": "13",
            "abbr": "cjhzzzz",
            "children": []
          },
          {
            "id": "18812672",
            "name": "博尔塔拉蒙古自治州",
            "parentId": "18808832",
            "level": "13",
            "abbr": "betlmgzzz",
            "children": []
          },
          {
            "id": "18812928",
            "name": "伊犁哈萨克自治州",
            "parentId": "18808832",
            "level": "13",
            "abbr": "ylhskzzz",
            "children": []
          },
          {
            "id": "18813184",
            "name": "塔城",
            "parentId": "18808832",
            "level": "13",
            "abbr": "tc",
            "children": []
          },
          {
            "id": "18813440",
            "name": "阿勒泰",
            "parentId": "18808832",
            "level": "13",
            "abbr": "alt",
            "children": []
          }
        ]
      }
    ]
  },
  {
    "id": "1000007",
    "name": "东北",
    "parentId": "100001",
    "level": "11",
    "abbr": "db",
    "children": [
      {
        "id": "17170432",
        "name": "辽宁",
        "parentId": "1000007",
        "level": "12",
        "abbr": "ln",
        "children": [
          {
            "id": "17170688",
            "name": "沈阳",
            "parentId": "17170432",
            "level": "13",
            "abbr": "sy",
            "children": []
          },
          {
            "id": "17170944",
            "name": "大连",
            "parentId": "17170432",
            "level": "13",
            "abbr": "dl",
            "children": []
          },
          {
            "id": "17171200",
            "name": "鞍山",
            "parentId": "17170432",
            "level": "13",
            "abbr": "as",
            "children": []
          },
          {
            "id": "17171456",
            "name": "抚顺",
            "parentId": "17170432",
            "level": "13",
            "abbr": "fs",
            "children": []
          },
          {
            "id": "17171712",
            "name": "本溪",
            "parentId": "17170432",
            "level": "13",
            "abbr": "bx",
            "children": []
          },
          {
            "id": "17171968",
            "name": "丹东",
            "parentId": "17170432",
            "level": "13",
            "abbr": "dd",
            "children": []
          },
          {
            "id": "17172224",
            "name": "锦州",
            "parentId": "17170432",
            "level": "13",
            "abbr": "jz",
            "children": []
          },
          {
            "id": "17172480",
            "name": "葫芦岛",
            "parentId": "17170432",
            "level": "13",
            "abbr": "hld",
            "children": []
          },
          {
            "id": "17172736",
            "name": "营口",
            "parentId": "17170432",
            "level": "13",
            "abbr": "yk",
            "children": []
          },
          {
            "id": "17172992",
            "name": "盘锦",
            "parentId": "17170432",
            "level": "13",
            "abbr": "pj",
            "children": []
          },
          {
            "id": "17173248",
            "name": "阜新",
            "parentId": "17170432",
            "level": "13",
            "abbr": "fx",
            "children": []
          },
          {
            "id": "17173504",
            "name": "辽阳",
            "parentId": "17170432",
            "level": "13",
            "abbr": "ly",
            "children": []
          },
          {
            "id": "17173760",
            "name": "铁岭",
            "parentId": "17170432",
            "level": "13",
            "abbr": "tl",
            "children": []
          },
          {
            "id": "17174016",
            "name": "朝阳",
            "parentId": "17170432",
            "level": "13",
            "abbr": "cy",
            "children": []
          }
        ]
      },
      {
        "id": "17235968",
        "name": "吉林",
        "parentId": "1000007",
        "level": "12",
        "abbr": "jl",
        "children": [
          {
            "id": "17236224",
            "name": "长春",
            "parentId": "17235968",
            "level": "13",
            "abbr": "cc",
            "children": []
          },
          {
            "id": "17236480",
            "name": "吉林",
            "parentId": "17235968",
            "level": "13",
            "abbr": "jl",
            "children": []
          },
          {
            "id": "17236736",
            "name": "四平",
            "parentId": "17235968",
            "level": "13",
            "abbr": "sp",
            "children": []
          },
          {
            "id": "17236992",
            "name": "辽源",
            "parentId": "17235968",
            "level": "13",
            "abbr": "ly",
            "children": []
          },
          {
            "id": "17237248",
            "name": "通化",
            "parentId": "17235968",
            "level": "13",
            "abbr": "th",
            "children": []
          },
          {
            "id": "17237504",
            "name": "白山",
            "parentId": "17235968",
            "level": "13",
            "abbr": "bs",
            "children": []
          },
          {
            "id": "17237760",
            "name": "延边朝鲜族自治州",
            "parentId": "17235968",
            "level": "13",
            "abbr": "ybcxzzzz",
            "children": []
          },
          {
            "id": "17238016",
            "name": "白城",
            "parentId": "17235968",
            "level": "13",
            "abbr": "bc",
            "children": []
          },
          {
            "id": "17238272",
            "name": "松原",
            "parentId": "17235968",
            "level": "13",
            "abbr": "sy",
            "children": []
          }
        ]
      },
      {
        "id": "17301504",
        "name": "黑龙江",
        "parentId": "1000007",
        "level": "12",
        "abbr": "hlj",
        "children": [
          {
            "id": "17301760",
            "name": "哈尔滨",
            "parentId": "17301504",
            "level": "13",
            "abbr": "heb",
            "children": []
          },
          {
            "id": "17302016",
            "name": "齐齐哈尔",
            "parentId": "17301504",
            "level": "13",
            "abbr": "qqhe",
            "children": []
          },
          {
            "id": "17302272",
            "name": "鹤岗",
            "parentId": "17301504",
            "level": "13",
            "abbr": "hg",
            "children": []
          },
          {
            "id": "17302528",
            "name": "双鸭山",
            "parentId": "17301504",
            "level": "13",
            "abbr": "sys",
            "children": []
          },
          {
            "id": "17302784",
            "name": "鸡西",
            "parentId": "17301504",
            "level": "13",
            "abbr": "jx",
            "children": []
          },
          {
            "id": "17303040",
            "name": "大庆",
            "parentId": "17301504",
            "level": "13",
            "abbr": "dq",
            "children": []
          },
          {
            "id": "17303296",
            "name": "伊春",
            "parentId": "17301504",
            "level": "13",
            "abbr": "yc",
            "children": []
          },
          {
            "id": "17303552",
            "name": "牡丹江",
            "parentId": "17301504",
            "level": "13",
            "abbr": "mdj",
            "children": []
          },
          {
            "id": "17303808",
            "name": "佳木斯",
            "parentId": "17301504",
            "level": "13",
            "abbr": "jms",
            "children": []
          },
          {
            "id": "17304064",
            "name": "七台河",
            "parentId": "17301504",
            "level": "13",
            "abbr": "qth",
            "children": []
          },
          {
            "id": "17304320",
            "name": "黑河",
            "parentId": "17301504",
            "level": "13",
            "abbr": "hh",
            "children": []
          },
          {
            "id": "17304576",
            "name": "绥化",
            "parentId": "17301504",
            "level": "13",
            "abbr": "sh",
            "children": []
          },
          {
            "id": "17304832",
            "name": "大兴安岭",
            "parentId": "17301504",
            "level": "13",
            "abbr": "dxal",
            "children": []
          }
        ]
      }
    ]
  },
  {
    "id": "1000008",
    "name": "其他",
    "parentId": "100001",
    "level": "11",
    "abbr": "qt",
    "children": [
      {
        "id": "18874368",
        "name": "香港",
        "parentId": "1000008",
        "level": "12",
        "abbr": "xg",
        "children": []
      },
      {
        "id": "18939904",
        "name": "澳门",
        "parentId": "1000008",
        "level": "12",
        "abbr": "am",
        "children": []
      },
      {
        "id": "19005440",
        "name": "台湾",
        "parentId": "1000008",
        "level": "12",
        "abbr": "tw",
        "children": []
      }
    ]
  }
];
