import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

class Checklist extends StatefulWidget {
  _Checklist createState() => new _Checklist();
}

class _Checklist extends State<Checklist> {
  bool first = true;
  bool second = false;
  bool all = false;
  bool indeterminate = false;

  List list = [
    {
      'label': '苹果',
      'checked': false,
    },
    {
      'label': '香蕉',
      'checked': false,
    },
    {
      'label': '橘子',
      'checked': false,
    }
  ];

  _changefirst() {
    setState(() {
      first = !first;
    });
  }

  _changeSecond() {
    setState(() {
      second = !second;
    });
  }

  _checkAll() {
    for (var i = 0; i < list.length; i++) {
      list[i]['checked'] = !all;
    }
    setState(() {
      all = !all;
      list = list;
      indeterminate = false;
    });
  }

  _checkItem(data) {
    data['checked'] = !data['checked'];
    int i = list.indexWhere((element) => data['label'] == element['label']);
    int checkNum = list.where((element) => element['checked']).length;
    setState(() {
      all = checkNum == list.length;
      list[i] = data;
      indeterminate = checkNum != list.length && checkNum > 0;
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: Text('checkbox'),
        ),
        body: Container(
            padding: EdgeInsets.all(20),
            child: Column(
              children: <Widget>[
                Container(
                  child: Row(
                    children: <Widget>[
                      MillCheckBox(
                        value: first,
                        onChange: _changefirst,
                        size: 20,
                      ),
                      Padding(padding: EdgeInsets.only(left: 20)),
                      MillCheckBox(
                        value: second,
                        indeterminate: true,
                        onChange: _changeSecond,
                        size: 20,
                      ),
                      Padding(padding: EdgeInsets.only(left: 20)),
                      MillCheckBox(
                        value: first,
                        onChange: _changefirst,
                        disabled: true,
                        size: 20,
                      ),
                      Padding(padding: EdgeInsets.only(left: 20)),
                      MillCheckBox(
                        value: second,
                        indeterminate: true,
                        onChange: _changeSecond,
                        disabled: true,
                        size: 20,
                      ),
                    ],
                  ),
                ),
                Padding(padding: EdgeInsets.only(top: 20)),
                Container(
                  child: Row(
                    children: <Widget>[
                      MillCheckBox(
                        value: first,
                        onChange: _changefirst,
                      ),
                      Padding(padding: EdgeInsets.only(left: 20)),
                      MillCheckBox(
                        value: second,
                        indeterminate: true,
                        onChange: _changeSecond,
                      ),
                      Padding(padding: EdgeInsets.only(left: 20)),
                      MillCheckBox(
                        value: first,
                        onChange: _changefirst,
                        disabled: true,
                      ),
                      Padding(padding: EdgeInsets.only(left: 20)),
                      MillCheckBox(
                        value: second,
                        indeterminate: true,
                        onChange: _changeSecond,
                        disabled: true,
                      ),
                    ],
                  ),
                ),
                Padding(padding: EdgeInsets.only(top: 20)),
                Container(
                  child: Row(
                    children: <Widget>[
                      MillCheckBox(
                        value: first,
                        onChange: _changefirst,
                        size: 30,
                      ),
                      Padding(padding: EdgeInsets.only(left: 20)),
                      MillCheckBox(
                        value: second,
                        indeterminate: true,
                        onChange: _changeSecond,
                        size: 30,
                      ),
                      Padding(padding: EdgeInsets.only(left: 20)),
                      MillCheckBox(
                        value: first,
                        onChange: _changefirst,
                        disabled: true,
                        size: 30,
                      ),
                      Padding(padding: EdgeInsets.only(left: 20)),
                      MillCheckBox(
                        value: second,
                        indeterminate: true,
                        onChange: _changeSecond,
                        disabled: true,
                        size: 30,
                      ),
                    ],
                  ),
                ),
                Padding(padding: EdgeInsets.only(top: 20)),
                Container(
                  child: Column(
                    children: <Widget>[
                      MillCheckBox(
                        value: all,
                        indeterminate: indeterminate,
                        onChange: _checkAll,
                        label: '选择全部',
                      ),
                      Padding(padding: EdgeInsets.only(top: 15)),
                      Column(
                        children: list
                            .map((item) => Container(
                                  child: MillCheckBox(
                                    value: item['checked'],
                                    onChange: () {
                                      _checkItem(item);
                                    },
                                    label: item['label'],
                                  ),
                                ))
                            .toList(),
                      )
                    ],
                  ),
                )
              ],
            )));
  }
}
