import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

class DialogList extends StatefulWidget {
  _DialogList createState() => new _DialogList();
}

class _DialogList extends State<DialogList> {
  _showTip() {
    MillDialog.tip(context, message: '你好');
  }

  _showTitleTip() {
    MillDialog.tip(context, message: '你好', title: '这是标题');
  }

  _showColorTip() {
    MillDialog.tip(
      context,
      message: '你好',
      title: '这是标题',
      messageColor: Color(0xffee0a24),
      buttonTextColor: Color(0xff409eff),
      titleColor: Color(0xffee0a24),
      buttonText: '我知道了',
      width: 320,
    );
  }

  _showConfirm() {
    MillDialog.confirm(context, message: '你好');
  }

  _showTitleConfirm() {
    MillDialog.confirm(context, message: '你好', title: '这是标题');
  }

  _showColorConfirm() {
    MillDialog.confirm(
      context,
      message: '你好',
      title: '这是标题',
      messageColor: Color(0xffee0a24),
      titleColor: Color(0xffee0a24),
      confirmText: '同意',
      confirmTextColor: Color(0xffee0a24),
      cancelText: '不同意',
      cancelTextColor: Color(0xff333333),
      width: 320,
    );
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        appBar: AppBar(
          title: Text('dialog'),
        ),
        body: Container(
          child: Column(
            crossAxisAlignment: CrossAxisAlignment.stretch,
            children: <Widget>[
              Container(
                padding: EdgeInsets.fromLTRB(20, 30, 20, 20),
                child: Text('提示弹框'),
              ),
              GestureDetector(
                onTap: _showTip,
                child: Container(
                  color: Color(0xffffffff),
                  padding: EdgeInsets.all(20),
                  child: Text('无标题提示'),
                ),
              ),
              GestureDetector(
                onTap: _showTitleTip,
                child: Container(
                  color: Color(0xffffffff),
                  padding: EdgeInsets.all(20),
                  child: Text('带标题提示'),
                ),
              ),
              GestureDetector(
                onTap: _showColorTip,
                child: Container(
                  color: Color(0xffffffff),
                  padding: EdgeInsets.all(20),
                  child: Text('自定义颜色提示'),
                ),
              ),
              Container(
                padding: EdgeInsets.fromLTRB(20, 30, 20, 20),
                child: Text('确定弹框'),
              ),
              GestureDetector(
                onTap: _showConfirm,
                child: Container(
                  color: Color(0xffffffff),
                  padding: EdgeInsets.all(20),
                  child: Text('确认弹框无标题'),
                ),
              ),
              GestureDetector(
                onTap: _showTitleConfirm,
                child: Container(
                  color: Color(0xffffffff),
                  padding: EdgeInsets.all(20),
                  child: Text('确认弹框带标题'),
                ),
              ),
              GestureDetector(
                onTap: _showColorConfirm,
                child: Container(
                  color: Color(0xffffffff),
                  padding: EdgeInsets.all(20),
                  child: Text('确认弹框自定义'),
                ),
              ),
            ],
          ),
        ));
  }
}
