import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

class Iconlist extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    List list = [];
    for (var i = 0; i < icons.length; i++) {
      list.add({
        'name': names[i],
        'icon': icons[i],
      });
    }
    return Scaffold(
        appBar: AppBar(
          title: Text('icon'),
        ),
        body: Container(
          color: Color(0xffffffff),
          child: GridView.count(
            crossAxisCount: 4,
            crossAxisSpacing: 1,
            mainAxisSpacing: 1,
            padding: EdgeInsets.symmetric(vertical: 0),
            children: list
                .map(
                  (item) => Container(
                    color: Color(0xfff6f6f6),
                    alignment: Alignment.center,
                    child: Column(
                      mainAxisAlignment: MainAxisAlignment.center,
                      children: <Widget>[
                        Icon(
                          item['icon'],
                          size: 32,
                        ),
                        Padding(padding: EdgeInsets.only(top: 10)),
                        Text(item['name'])
                      ],
                    ),
                  ),
                )
                .toList(),
          ),
        ));
  }
}

List icons = [
  MillIcons.account,
  MillIcons.add_team,
  MillIcons.add_user,
  MillIcons.alipay,
  MillIcons.aliwangwang,
  MillIcons.android,
  MillIcons.android_fill,
  MillIcons.apple,
  MillIcons.apple_fill,
  MillIcons.area_chart,
  MillIcons.attachment,
  MillIcons.audio,
  MillIcons.audio_fill,
  MillIcons.backward,
  MillIcons.bar_chart,
  MillIcons.caret_down,
  MillIcons.caret_left,
  MillIcons.caret_right,
  MillIcons.caret_up,
  MillIcons.close_circle,
  MillIcons.close_circle_fill,
  MillIcons.cloud,
  MillIcons.cloud_download,
  MillIcons.delete_team,
  MillIcons.delete_user,
  MillIcons.dingtalk_fill,
  MillIcons.double_left,
  MillIcons.double_right,
  MillIcons.down,
  MillIcons.down_circle,
  MillIcons.earth,
  MillIcons.edit,
  MillIcons.edit_square,
  MillIcons.error,
  MillIcons.export,
  MillIcons.eye,
  MillIcons.fail,
  MillIcons.fast_backward,
  MillIcons.fast_forward,
  MillIcons.forward,
  MillIcons.frown,
  MillIcons.fullscreen,
  MillIcons.fullscreen_exit,
  MillIcons.gitlab,
  MillIcons.gitlab_fill,
  MillIcons.heart,
  MillIcons.heart_fill,
  MillIcons.ie,
  MillIcons.left,
  MillIcons.left_circle,
  MillIcons.line_chart,
  MillIcons.link,
  MillIcons.location,
  MillIcons.message,
  MillIcons.notification,
  MillIcons.phone,
  MillIcons.point_map,
  MillIcons.poweroff,
  MillIcons.qq,
  MillIcons.question_circle,
  MillIcons.reload,
  MillIcons.right,
  MillIcons.right_circle,
  MillIcons.scan,
  MillIcons.search,
  MillIcons.setting,
  MillIcons.smile,
  MillIcons.sound,
  MillIcons.star,
  MillIcons.success,
  MillIcons.taobao,
  MillIcons.team,
  MillIcons.time_circle,
  MillIcons.time_out,
  MillIcons.up,
  MillIcons.up_circle,
  MillIcons.user,
  MillIcons.warning_circle,
  MillIcons.warning_circle_fill,
  MillIcons.wechat_fill,
  MillIcons.wifi,
  MillIcons.windows_fill,
  MillIcons.yuan,
  MillIcons.yuque
];

List names = [
  'account',
  'add_team',
  'add_user',
  'alipay',
  'aliwangwang',
  'android',
  'android_fill',
  'apple',
  'apple_fill',
  'area_chart',
  'attachment',
  'audio',
  'audio_fill',
  'backward',
  'bar_chart',
  'caret_down',
  'caret_left',
  'caret_right',
  'caret_up',
  'close_circle',
  'close_circle_fill',
  'cloud',
  'cloud_download',
  'delete_team',
  'delete_user',
  'dingtalk_fill',
  'double_left',
  'double_right',
  'down',
  'down_circle',
  'earth',
  'edit',
  'edit_square',
  'error',
  'export',
  'eye',
  'fail',
  'fast_backward',
  'fast_forward',
  'forward',
  'frown',
  'fullscreen',
  'fullscreen_exit',
  'gitlab',
  'gitlab_fill',
  'heart',
  'heart_fill',
  'ie',
  'left',
  'left_circle',
  'line_chart',
  'link',
  'location',
  'message',
  'notification',
  'phone',
  'point_map',
  'poweroff',
  'qq',
  'question_circle',
  'reload',
  'right',
  'right_circle',
  'scan',
  'search',
  'setting',
  'smile',
  'sound',
  'star',
  'success',
  'taobao',
  'team',
  'time_circle',
  'time_out',
  'up',
  'up_circle',
  'user',
  'warning_circle',
  'warning_circle_fill',
  'wechat_fill',
  'wifi',
  'windows_fill',
  'yuan',
  'yuque'
];
