import 'package:flutter/material.dart';
import 'package:millui/millui.dart';

class Refash extends StatefulWidget {
  _Refash createState() => new _Refash();
}

class _Refash extends State<Refash> {
  List _items = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16];

  _refresh() async {
    await Future.delayed(Duration(seconds: 2), () {
      if (mounted) {
        setState(() {
          _items = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16];
        });
      }
    });
  }

  _onLoad() async {
    await Future.delayed(Duration(seconds: 2), () {
      if (mounted) {
        _items.add(1);
        _items.add(2);
        _items.add(3);
        _items.add(4);
        _items.add(5);
        setState(() {
          _items = _items;
        });
      }
    });
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('refresh'),
      ),
      body: MillRefresh(
        sliverList: _buildList(_items),
        onRefresh: _refresh,
        onLoad: _onLoad,
      ),
    );
  }
}

Widget _buildList(items) {
  return SliverList(
      delegate: SliverChildBuilderDelegate(
    (context, index) {
      return Container(
        padding: EdgeInsets.all(20),
        child: Text('${items[index]}'),
      );
    },
    childCount: items.length,
  ));
}
